Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.impl.mgmt
Class CachingTilesContainer

    java.lang.Object
      org.apache.tiles.impl.BasicTilesContainer
          org.apache.tiles.impl.mgmt.CachingTilesContainer

All Implemented Interfaces:
  AttributeEvaluatorFactoryAware, MutableTilesContainer, TilesContainer

    public class CachingTilesContainer

extends BasicTilesContainer
implements MutableTilesContainer

Mutable container which caches (in memory) the definitions registered to it. If a definition is not found in cache, it will revert back to it's definitions factory.

Since:
  Tiles 2.0
Version:
  $Rev: 711885 $ $Date: 2008-11-06 17:06:38 +0100 (gio, 06 nov 2008) $

Field Summary

Fields inherited from class org.apache.tiles.impl.BasicTilesContainer
`DEFINITIONS_CONFIG`

Constructor Summary
`CachingTilesContainer()`

Method Summary
`protected Definition` | `getDefinition(java.lang.String definition, TilesRequestContext context)` Returns a definition specifying its name.
`DefinitionsFactory` | `getDefinitionsFactory()` Returns the definitions factory.
`void` | `register(Definition definition, java.lang.Object... requestItems)` Register a new definition with the container.
`protected void` | `register(Definition definition, TilesRequestContext request)` Registers a custom definition.
`void` | `setDefinitionsFactory(DefinitionsFactory definitionsFactory)` Set the definitions factory.

Methods inherited from class org.apache.tiles.impl.BasicTilesContainer
`checkInit, endContext, evaluate, getApplicationContext, getAttributeContext, getContext, getContextFactory, getContextStack, getPreparerFactory, getRequestContextFactory, getResourceNames, getResourceString, getResourceString, init, initializeDefinitionsFactory, isValidDefinition, popContext, prepare, pushContext, render, render, render, render, render, render, renderContext, setApplicationContext, setAttributeEvaluatorFactory, setContextFactory, setPreparerFactory, setRendererFactory, setRequestContextFactory, startContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.tiles.TilesContainer
`endContext, evaluate, getApplicationContext, getAttributeContext, init, isValidDefinition, prepare, render, render, render, renderContext, startContext`

Constructor Detail

### CachingTilesContainer

    public CachingTilesContainer()

Method Detail

### register

    public void register(Definition definition,
                         java.lang.Object... requestItems)

  Register a new definition with the container.

  Specified by:
    `register` in interface `MutableTilesContainer`
  Parameters:
    `definition` - The definition to register.
    `requestItems` - the current request objects.

### getDefinition

    protected Definition getDefinition(java.lang.String definition,
                                       TilesRequestContext context)

  Returns a definition specifying its name.

  Overrides:
    `getDefinition` in class `BasicTilesContainer`
  Parameters:
    `definition` - The name of the definition to find.
    `context` - The request context.
  Returns:
    The definition, if found.

### getDefinitionsFactory

    public DefinitionsFactory getDefinitionsFactory()

  Returns the definitions factory.

  Overrides:
    `getDefinitionsFactory` in class `BasicTilesContainer`
  Returns:
    The definitions factory used by this container.

### setDefinitionsFactory

    public void setDefinitionsFactory(DefinitionsFactory definitionsFactory)

  Set the definitions factory. This method first ensures that the container has not yet been initialized.

  Overrides:
    `setDefinitionsFactory` in class `BasicTilesContainer`
  Parameters:
    `definitionsFactory` - the definitions factory for this instance.

### register

    protected void register(Definition definition,
                            TilesRequestContext request)

  Registers a custom definition.

  Parameters:
    `definition` - The definition to register.
    `request` - The request inside which the definition should be registered.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.